<div class="row">
  <div class="col">
    <div ngbDropdown class="d-inline-block">
      <button ngbDropdownToggle class="btn btn-info" [disabled]="phrase.value?.length > 0">Publishers</button>
      <div ngbDropdownMenu>
        <button *ngFor="let publisher of publishers | async"
                (click)="selectPublisher(publisher)"
                class="dropdown-item">{{publisher}}
        </button>
        <div class="dropdown-divider"></div>
        <button (click)="selectPublisher('all')"
                class="dropdown-item">All Publishers
        </button>
      </div>
    </div>
    <span *ngIf="selectedPublisher">Books by {{selectedPublisher}}</span>
  </div>

  <div class="col">
    <div class="input-group">
      <span class="input-group-addon" id="basic-addon1">
        <fa name="search" ></fa>
      </span>
      <input type="search" [formControl]="phrase"
             class="form-control" placeholder="Search books" />
      <span class="input-group-btn">
        <button type="button" class="btn btn-secondary"  (click)="clearSearch()">
          <fa name="trash"></fa>
        </button>
      </span>
    </div>
  </div>

  <div class="col">
    <ngb-pagination class="float-right" *ngIf="!selectedPublisher"
                    [(page)]="pagination.currentPage"
                    [pageSize]="pagination.booksPerPage"
                    [collectionSize]="pagination.booksCount"
                    [directionLinks]="true"
                    [disabled]="phrase.value?.length > 0"
                    [boundaryLinks]="false"></ngb-pagination>
  </div>
</div>

<div class="row">
  <div class="col">
    <div *ngFor="let book of books; index as idx">
      <div class="card mt-3"
           *ngIf="pagination.visible(idx) || phrase.value?.length > 0 || selectedPublisher === book.publisher">
        <div class="card-header p-1 bg-primary ">
          <span class="h4 text-light">{{book.title}}</span>
        </div>

        <div class="card-body py-0 pt-1">
          <img src="{{book.image}}" class="float-left img-fluid"/>
          <dl class="row my-0">
            <dt class="col-sm-2 my-0">Author(s):</dt>
            <dd class="col-sm-10 my-0">{{book.authors}}</dd>

            <dt class="col-sm-2 my-0">Pages:</dt>
            <dd class="col-sm-10 my-0">{{book.pages}}</dd>

            <dt class="col-sm-2 my-0">Released:</dt>
            <dd class="col-sm-10 my-0">{{book.date}}</dd>

            <dt class="col-sm-2 my-0">Publisher:</dt>
            <dd class="col-sm-10 my-0">{{book.publisher}}</dd>

            <dt class="col-sm-2 my-0">ISBN:</dt>
            <dd class="col-sm-10 my-0">{{book.isbn}}</dd>
          </dl>
        </div>

        <div class="card-footer bg-transparent text-dark py-1">
          <span class="h5">{{book.price | currency:'SEK'}}</span>
          <button type="button" (click)="add(book)" class="btn btn-success btn-sm rounded float-right">
            <fa name="plus"></fa>
            Add to Cart
          </button>
        </div>
      </div>
    </div>
  </div>
</div>
